(* Put PostScript output in the temporary file pstmp *)

Begin["System`"]

$Display := $FileDisplay
$FileDisplay = OpenWrite["pstmp"]

$DisplayFunction = Display[$Display, #]&

(* Print and flush the temporary file *)

PrintPlot := ( Run["psfix pstmp | lpr"];
	       Close[$FileDisplay]; $FileDisplay = OpenWrite["pstmp"]; )

(* Animation: use defaults *)

`$RasterFunction = Identity
`$AnimationFunction = System`DisplayAnimation[$Display, #]&

End[]

If[ !($BatchOutput || $Remote || $ParentLink =!= Null),
	Print[" -- File graphics initialized -- "] ]
